> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Drop approved AR file at SFTP path



## OpenAPI

````yaml /tango_lease/integrations/guides/ar-outbound-file.yaml post /outbound/ar
openapi: 3.1.0
info:
  title: Tango AR Outbound — File
  version: '1.1'
  description: |
    SFTP file-based outbound. Tango writes approved receivables (billings) as a
    pipe-delimited file to its SFTP server; client reads and processes. After
    export, billings flagged `Exported to AR`. LEASE_BILLING_ID round-trips
    through AR Inbound for reconciliation.
  x-direction: outbound
  x-source: Tango
  x-destination: Client System
  x-transport: sftp
  x-file-format: pipe-delimited text (.txt)
  x-file-naming-convention: '{ClientName}_arout_MMDDYYYYHHMMSS.txt'
servers:
  - url: sftp://sftp.tangoanalytics.com
    description: Production SFTP
    x-environment: production
    x-path: outbound/ar/
  - url: sftp://sftpdev.tangoanalytics.com
    description: Test SFTP (SIT/UAT)
    x-environment: test
    x-path: outbound/ar/
security:
  - sftpUserPassword: []
tags:
  - name: AR Outbound File
paths:
  /outbound/ar:
    post:
      tags:
        - AR Outbound File
      summary: Drop approved AR file at SFTP path
      operationId: deliverAROutboundFile
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              format: binary
              x-record-schema:
                $ref: '#/components/schemas/AROutboundRow'
      responses:
        '200':
          description: File delivered.
components:
  securitySchemes:
    sftpUserPassword:
      type: http
      scheme: basic

````